vapier      15/04/13 04:15:59

  Modified:             toolchain.eclass
  Log:
  force the configure shell to bash to work around older configure detection

Revision  Changes    Path
1.661                eclass/toolchain.eclass

file : 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/eclass/toolchain.eclass?rev=1.661&view=markup
plain: 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/eclass/toolchain.eclass?rev=1.661&content-type=text/plain
diff : 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/eclass/toolchain.eclass?r1=1.660&r2=1.661

Index: toolchain.eclass
===================================================================
RCS file: /var/cvsroot/gentoo-x86/eclass/toolchain.eclass,v
retrieving revision 1.660
retrieving revision 1.661
diff -u -r1.660 -r1.661
--- toolchain.eclass    29 Mar 2015 19:17:05 -0000      1.660
+++ toolchain.eclass    13 Apr 2015 04:15:59 -0000      1.661
@@ -1,6 +1,6 @@
 # Copyright 1999-2015 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/toolchain.eclass,v 1.660 2015/03/29 
19:17:05 vapier Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/toolchain.eclass,v 1.661 2015/04/13 
04:15:59 vapier Exp $
 
 # Maintainer: Toolchain Ninjas <toolch...@gentoo.org>
 
@@ -1232,7 +1232,10 @@
        # and now to do the actual configuration
        addwrite /dev/zero
        echo "${S}"/configure "${confgcc[@]}"
-       "${S}"/configure "${confgcc[@]}" || die "failed to run configure"
+       # Older gcc versions did not detect bash and re-exec itself, so force 
the
+       # use of bash.  Newer ones will auto-detect, but this is not harmeful.
+       CONFIG_SHELL="/bin/bash" \
+       bash "${S}"/configure "${confgcc[@]}" || die "failed to run configure"
 
        # return to whatever directory we were in before
        popd > /dev/null




Reply via email to